Bug 1286399 - Fedora 23 :: /sys/kernel/debug/vgaswitcheroo/switch missing (Lenovo IdeaPad Y700-17ISK) :: (kernel 4.2.6-301.fc23.x86_64) ...
Fedora 23 :: /sys/kernel/debug/vgaswitcheroo/switch missing (Lenovo IdeaPad Y...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2015-11-28 21:03 EST by prismalytics
Modified: 2016-05-26 15:31 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-05-26 15:31:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description prismalytics 2015-11-28 21:03:09 EST
Hello friends:

Theses new internal (Intel) / external (nVidia) hybrid graphics laptops are a real pain, so accept my apologies in advance for the flurry of posts related to it, as I know they must be a pain for you, too.

My laptop model is a Lenovo IdeaPad Y700-17ISK (newly minted as of this writing), and is running Fedora-23/64bit on kernel version v4.2.6-301.fc23.x86_64.

I have the "Switchable Graphics" BIOS setting for it set to "Switchable" (as opposed to "Internal", which would force use of the internal Intel graphics card, which I do not want. I want to use the non-integrated nVidia card exclusively).

I read about a procedure in several places that involved changing values 
to "/sys/kernel/debug/vgaswitcheroo/switch" that could disable (even power off) the internal (Intel) card, while leaving enabled the external (nVidia) card.

The problem is that that kernel debug file/interface is not available for me (doesn't exist). "ls -la" of that says it doesn't exist.

Why do I need to do this ....

The reason I'm looking to disable the internal Intel card is because -- even though "lsmod | grep nvidia" shows that the NVIDIA-provided driver is loaded (not the "nouveau" driver, which I intentionally disabled) -- the "nvidia-xconfig" tool (which generate the proper "/etc/X11/xorg.conf" file on which NVIDIA relies), can't probe the nVidia card to create a proper config file.

The result is that when the X server is started, trying to start the "nvidia-settings" GUI tool results in the error message:

    You do not appear to be using the NVIDIA X driver. Please edit your X
    configuration file (just run `nvidia-xconfig` as root) and restart
    the X server.

But as I mentioned, doing that doesn't work because 'nvidia-xconfig' doesn't seem to correctly probe the hardware configuration. Hence my wanting to disable the internal Intel card to see if that remedies the issue. I also don't want switching graphics, just the nVidia card.

Can you guys/gals help me?

I can't try the vgaswitcheroo/switch recipe because it's not available.
Also, other remedies, advice are very welcome.

Thank you! =:)
Comment 1 Josh Boyer 2015-11-30 08:39:56 EST
vgaswitcheroo is for ATI cards.  There is no known solution for nvidia cards and switchable graphics support outside of the proprietary bumblebee driver I believe.  As mentioned in your other bug, Fedora does not provide or support setups with proprietary drivers installed.
Comment 2 Justin M. Forbes 2015-11-30 10:58:24 EST
Actually, it works with nvidia/nouveau as well, but vgaswitcharoo requires a hardware mux, if your system does not have one, the interface is disabled, some systems do, others do not.  This is why you will see it referenced in nvidia documentation.
Comment 3 prismalytics 2015-11-30 20:18:45 EST
Thank you guys. I will have to read more on this

https://fedoraproject.org/wiki/Bumblebee  (Thank you for the Bumblebee reference)

and a page that it references, here,


As I try the steps outlined in one or the other document, I hope you'll help with some minor questions.

I won't hit you with newbie questions (I've been installing and running Fedora for years on all kinds of laptops and PCs, doing advanced things), but this dual-card scenario came out of nowhere for me; and I haven't gotten my head wrapped around it yet. (So I thank you in advance).

Right now I'm wondering which driver(S) to take out or put back in, etc. in order to dynamically switch between the integrated Intel card (which is hard-wired to the monitor) and the nVidia card (which is not, but is supposed to do GPU operations on the backend on an APP-by-APP basis). This is how I notice that Windows 10 does it (I multi boot btw).

Basically, how to install Fedora on one of these newfangled hybrid boxes. =:)

Thank you!

Advice would help if you wish.

Note You need to log in before you can comment on or make changes to this bug.